"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
const events_1 = __importDefault(require("events"));
const event = new events_1.default();
/**
 * Moderator EventEmitter
 *
 * @private
*/
class ModeratorEmitter {
    /**
     * Method for listening Moderator events
     * @param eventName Event Name
     * @param fn Event CallBack
     *
     * @returns {EventEmitter} Moderator Emitter
    */
    on(eventName, fn) {
        event.on(eventName, fn);
    }
    /**
     * Method to listen for an Moderator event only once
     * @param eventName Event Name
     * @param fn Event CallBack
     *
     * @returns {ModeratorEmitter} Moderator Emitter
    */
    once(eventName, fn) {
        event.once(eventName, fn);
    }
    /**
     * Method for emits to events
     * @param eventName Event Name
     * @param args Event Args
     *
     * @returns {Boolean} Event emit status
    */
    emit(eventName, ...args) {
        return event.emit(eventName, ...args);
    }
}
module.exports = ModeratorEmitter;
